# zbot/plugs/input.py
#
#

""" generic input plugin. """

## IMPORTS

from zbot.utils import striphtml, j, error
from zbot import kernel, Object

import email.message
import datetime
import logging
import email
import time
import os

## COMMANDS

def input(event):
    if not event.rest: logging.warn("no arguments given.") ; return
    if not os.path.isdir(event.rest): logging.warn("%s is not a directory" % event.rest) ; return
    teller = 0
    for fn in os.listdir(event.rest):
        ff = event.rest + os.sep + fn 
        logging.warn("reading %s" % ff)
        try:
            o = Object()
            data = open(ff, "r").read()
            message = email.message_from_string(data) ; o.update(message.items())
            o.text = ""
            for load in message.get_payload(): o.text += str(load)
            o.save()
        except IsADirectoryError: continue
        except Exception: error() ; continue
        teller += 1
        logging.warn("at %s" % teller)

kernel.cmnds.register("input", input)
